#include "itkImage.h"
#include "itkImageFileReader.h"
#include "itkRescaleIntensityImageFilter.h"
#include "itkConnectedComponentImageFilter.h"
#include <itkImageFileWriter.h>
#include "itkBinaryThresholdImageFilter.h"
#include "QuickView.h"
 
int main(int argc, char *argv[])
{
  if(argc < 2)
    {
    std::cerr << "Required: filename" << std::endl;
    return EXIT_FAILURE;
    }
 
  typedef itk::Image<unsigned char, 2>  ImageType;
 
  typedef itk::ImageFileReader<ImageType> ReaderType;
  ReaderType::Pointer reader = ReaderType::New();
  reader->SetFileName(argv[1]);
 
	typedef itk::ConnectedComponentImageFilter <ImageType, ImageType >
	ConnectedComponentImageFilterType;

	ConnectedComponentImageFilterType::Pointer labelFilter
	= ConnectedComponentImageFilterType::New ();
	labelFilter->SetInput(reader->GetOutput());
	labelFilter->Update();


  QuickView viewer;
  viewer.AddImage(reader->GetOutput());
  viewer.Visualize();
 
  return EXIT_SUCCESS;
}